package ava.parser

sealed trait Name:
  def value: String

object Name:
  case class UserDef(value: String) extends Name

  case object AnonValue extends Name:
    val value: String = "_"

  case object AnonType extends Name:
    val value: String = "*"

end Name
