# Effects

## The Effect Type

The type `IO[E, A]` represents an effect which will produce `A` when executed,
and may fail with an error of type `E`. There exists a type
`type Task[A] = IO[Nothing, A]` that represents effects that cannot fail with an
error.
