# Operators & Symbols

## Language Level Symbols and Operators

These are reserved.

| Operator            | Name |
| ------------------- | ---- |
| `:`                 | Bind Type to Name |
| `:=`                | Bind Value to Name |
| `[...]`             | Type Constructor |
| `(...)`             | Tuple |
| `{...}`             | List or Array |
| `--`                | Comment |
| `---`               | Docstring |
| `.`                 | Access Member or Numeric Literal. |
| `???`               | Hole |
| `,`                 | Argument Separator |
| `=>`                | Function Type Definition |
| `"..."`             | String Literal |
| `*`                 | Type Constructor Argument |
| `\`                 | String Escape Sequence |
| `::`                | Type Class Membership |
| `<-`                | Do Binding |
| `_`                 | Anonymous Name |
| `@`                 | Object Metadata Reference |
| <code>&#124;</code> | Type Union |

## Standard Library Operators (Infix)

These are _not_ reserved names, but are worth mentioning.

| Operator                  | Name |
| ------------------------- | ---- |
| `=`                       | Equals (Boolean) |
| `!=`                      | Not Equals (Boolean) |
| `+`                       | Addition  |
| `-`                       | Subtraction  |
| `/`                       | Division |
| `<`                       | Division |
| `>`                       | Division |
| `<=`                      | Division |
| `>=`                      | Division |
| `∘`                       | Function Composition |
| `∧`                       | Logical AND |
| `∨`                       | Logical OR |
| `&&`                      | Logical AND |
| <code>&#124;&#124;</code> | Logical OR |
