# Variables

- [Immutable Values](#immutable-values)
- [Mutable Values](#mutable-values)

## Variable Names

Please refer to [Names](names.md).

## Immutable Values

Most variables are immutable, and cannot be reassigned.

```
let x := 10
```

## Mutable Values

Mutation is supported within the scope of a function.

```
mut x := 10
x := 20
```
